Summary:	OpenSSL Tcl extension
Summary(pl.UTF-8):	Rozszerzenie OpenSSL dla Tcl
Name:		tcl-tls
Version:	1.7.16
Release:	3
License:	distributable
Group:		Development/Languages/Tcl
Source0:	https://core.tcl.tk/tcltls/uv/tcltls-1.7.16.tar.gz
# Source0-md5:	4887ac4c5e2a003f3d63e2f30d33ba1e
URL:		https://core.tcl.tk/tcltls/index
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools
BuildRequires:	tcl-devel >= 8.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TLS is an OpenSSL / RSA-bsafe Tcl extension that provides secure
connections on top of the Tcl socket mechanism. Within a few lines of
code, users can query HTTPS servers.

%description -l pl.UTF-8
TLS to rozszerzenie Tcl OpenSSL / RSA-bsafe, udostępniające bezpieczne
połączenia w oparciu o mechanizm gniazd Tcl. W kilku liniach kodu
można zmieścić zapytanie serwera HTTPS.

%prep
%setup -qn tcltls-%{version}

%build
%configure \
	--with-ssl-dir=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

rm -f $RPM_BUILD_ROOT%{_includedir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt license.terms
%dir %{_libdir}/tcltls%{version}
%attr(755,root,root) %{_libdir}/tcltls%{version}/tcltls*.so
%{_libdir}/tcltls%{version}/*.tcl
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcl-tls.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 9557dd5
- rebuild with openssl 3.0.0

* Wed Sep 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d2aee48
- rel 2; openssl-tools needed for dhparams generation

* Wed Sep 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e7ff7c
- up to 1.7.16

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ef3c14e
- release 2 (by relup.sh)

* Sun Sep 04 2016 Jan Rękorajski <baggins@pld-linux.org> b54f79d
- use working sourceforge downloads hostname

* Sun Aug 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c516fa
- up to 1.6.7

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 5d57efb
- openssl 1.0.2g rebuild
- release 3 (by relup.sh)

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dd880c
- release 2

* Wed Jan 21 2009 Jakub Bogusz <qboosh@pld-linux.org> 960ccc7
- outdated

* Wed Jan 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8089c81
- updated

* Wed Jan 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d05140
- up to 1.6

* Wed Apr 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d8bf73e
- rel 4; fix version in pkgIndex; apply ssl engines patch (both from debian)

* Wed Apr 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ebbcda
- one enhacement and one fix from debian

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 10774a8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c246a2
- converted to UTF-8

* Sun Nov 05 2006 twittner <twittner@pld-linux.org> d49f6e6
- don't glob whole %%{_libdir} - it contains debug subdir.
  which should go into debuginfo subpackage

* Wed Aug 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a3fc66a
- rel 2

* Fri Dec 31 2004 Karol Krenski <charles@pld-linux.org> 2d7c45e
- updated to 1.5.0

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 1799b33
- "HTTP" and "HTTPS" unification

* Sat Mar 20 2004 ankry <ankry@pld-linux.org> d94df8c
- massive change: BR openssl-devel >= 0.9.7d

